Skip to main content
GET
/
v1
/
sites
/
{site_id}
/
transactions
curl "https://xenarch.dev/v1/sites/b2c3d4e5.../transactions?period=7d&status=paid&page=1&per_page=20" \
  -H "Authorization: Bearer xk_pub_abc123..."
{
  "transactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "path": "<string>",
      "amount_usd": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "type": "gate",
      "agent_name": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123
}
curl "https://xenarch.dev/v1/sites/b2c3d4e5.../transactions?period=7d&status=paid&page=1&per_page=20" \
  -H "Authorization: Bearer xk_pub_abc123..."

Query parameters

ParameterValuesDefault
period24h, 7d, 30d, allall
statuspaid, blocked, withdraw, allall
pageInteger1
per_pageInteger20

Headers

authorization
string
required

Path Parameters

site_id
string<uuid>
required

Query Parameters

period
string
default:all
Pattern: ^(24h|7d|30d|all)$
status
string
default:all
Pattern: ^(paid|blocked|withdraw|all)$
page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

transactions
TransactionItem · object[]
required
total
integer
required
page
integer
required
per_page
integer
required